/* ------------ botones ------------ */
.btn .elementor-button-link.elementor-button  {
    background-color: var(--c-menta-opaco);
    border: 1px solid var(--c-menta-opaco);
    color: var(--c-blanco);
    font-weight: 500;
    text-transform: uppercase;
    text-decoration: none;
    padding: 15px 30px;
    display: inline-block;
    transition: all 0.3s ease;
    border-radius: 100px;
    position: relative;
    overflow: hidden;
    z-index: 1;

    &::after {
        content: '';
        background-color: var(--c-azul-oscuro);
        width: 0;
        height: 0;
        inset: 0;
        margin: auto;
        position: absolute;
        transition: all 0.5s ease;
        z-index: -1;
        border-radius: 500px;
    }

    &:hover {
        border-color: var(--c-blanco);

        &::after {
            left: -5%;
            height: 350px;
            width: 350px;
        }
    }
}

.btn-oscuro .elementor-button-link.elementor-button  {
    background-color: var(--c-azul-oscuro);
    border: 1px solid var(--c-azul-oscuro);
    color: var(--c-blanco);
    font-weight: 500;
    text-transform: uppercase;
    text-decoration: none;
    padding: 15px 30px;
    display: inline-block;
    transition: all 0.3s ease;
    border-radius: 100px;
    position: relative;
    overflow: hidden;
    z-index: 1;

    &::after {
        content: '';
        background-color: var(--c-menta-opaco);
        width: 0;
        height: 0;
        inset: 0;
        margin: auto;
        position: absolute;
        transition: all 0.5s ease;
        z-index: -1;
        border-radius: 500px;
    }

    &:hover {
        border-color: var(--c-menta-opaco);

        &::after {
            left: -5%;
            height: 350px;
            width: 350px;
        }
    }
}

.btn-blanco .elementor-button-link.elementor-button  {
    background-color: var(--c-blanco);
    border: 1px solid var(--c-blanco);
    color: var(--c-azul-oscuro);
    font-weight: 500;
    text-transform: uppercase;
    text-decoration: none;
    padding: 15px 30px;
    display: inline-block;
    transition: all 0.3s ease;
    border-radius: 100px;
    position: relative;
    overflow: hidden;
    z-index: 1;

    &::after {
        content: '';
        background-color: var(--c-menta-opaco);
        width: 0;
        height: 0;
        inset: 0;
        margin: auto;
        position: absolute;
        transition: all 0.5s ease;
        z-index: -1;
        border-radius: 500px;
    }

    &:hover {
        color: var(--c-blanco);
        border-color: var(--c-menta-opaco);
        
        &::after {
            left: -5%;
            height: 350px;
            width: 350px;
        }
    }
}
